package net.sf.statscm;

/*
 * Copyright 2006 Doug Culnane
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.apache.maven.model.Model;
import org.apache.maven.model.Scm;
import org.apache.maven.model.Build;
import org.apache.maven.project.MavenProject;
import org.apache.maven.reporting.MavenReportException;

import junit.framework.TestCase;

public class StatScmTest extends TestCase
{

    
    public void testExecute(){
        
        StatScmMojo statScmMojo = new StatScmMojo();
        Scm scm = new Scm();
        Build build = new Build();
        MavenProject project = new MavenProject( new Model() );
        
        project.setScm( scm );
        project.setBuild(build);
        
        statScmMojo.setProject(project);
        statScmMojo.execute();
        
        
    }

    public void testExecuteReport() throws MavenReportException{

        StatScmMojo statScmMojo = new StatScmMojo();
        Scm scm = new Scm();
        Build build = new Build();
        MavenProject project = new MavenProject( new Model() );
       
        build.setDirectory("./");
        scm.setConnection( "scm:svn:https://svn.sourceforge.net/svnroot/stat-scm/trunk" );
        
        project.setScm( scm );
        project.setBuild(build);
        statScmMojo.setProject(project);
        
        statScmMojo.executeReport( java.util.Locale.ENGLISH );
        
    }

    public void testExecuteReportSkip() throws MavenReportException{

        StatScmMojo statScmMojo = new StatScmMojo();
        Scm scm = new Scm();
        Build build = new Build();
        MavenProject project = new MavenProject( new Model() );
       
        build.setDirectory("./");
        scm.setConnection( "scm:svn:https://svn.sourceforge.net/svnroot/stat-scm/trunk" );
        
        project.setScm( scm );
        project.setBuild(build);
        statScmMojo.setProject(project);
        statScmMojo.setSkipParameter(true);
        
        statScmMojo.executeReport( java.util.Locale.ENGLISH );        
    }

}
